proftpd: PAM adding faulty module: /lib64/security/pam_stack.so

Refers to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux
  • Plesk 11.5 for Linux
  • Plesk 12.0 for Linux

Created:

2016-11-16 12:59:44 UTC

Modified:

2017-02-22 16:08:22 UTC

1

Was this article helpful?


Have more questions?

Submit a request

proftpd: PAM adding faulty module: /lib64/security/pam_stack.so

Symptoms

Following errors can be found in /var/log/secure :

Mar 22 04:14:44 server proftpd: PAM unable to dlopen(/lib64/security/pam_stack.so): /lib64/security/pam_stack.so: cannot open shared object file: No such file or directory
Mar 22 04:14:44 server proftpd: PAM adding faulty module: /lib64/security/pam_stack.so
Mar 22 04:14:44 server proftpd: pam_listfile(proftpd:auth): Couldn't open /etc/ftpusers

Cause

OS issue, not related to Plesk .

Resolution

This issue does not affect on FTP functionality.

  1. Make a backup of /etc/pam.d/proftpd :

    # cp -p /etc/pam.d/proftpd /root/proftpd
  2. Replace content of /etc/pam.d/proftpd with:

    #%PAM-1.0M-1.0
    auth required pam_listfile.so item=user sense=deny file=/etc/ftpusers onerr=succeed
    auth required pam_shells.so
    auth include system-auth
    account include system-auth
    #session include system-auth
    session required pam_loginuid.so
  3. Restart ftp service:

    # service xinetd restart
    Stopping xinetd: [ OK ]
    Starting xinetd: [ OK ]
Have more questions? Submit a request
Please sign in to leave a comment.